Package com.google.android.exoplayer2.ext.rtmp

## Class RtmpDataSourceFactory

- java.lang.Object
- - com.google.android.exoplayer2.ext.rtmp.RtmpDataSourceFactory

- All Implemented Interfaces:
    `DataSource.Factory`

      @Deprecated
      public final class RtmpDataSourceFactory
      extends Object
      implements DataSource.Factory

  Deprecated.
  Use `RtmpDataSource.Factory` instead.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RtmpDataSourceFactory()` | Deprecated.
    `RtmpDataSourceFactory​(TransferListener listener)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RtmpDataSource` | `createDataSource()` | Deprecated. Creates a `DataSource` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RtmpDataSourceFactory

          public RtmpDataSourceFactory()

      Deprecated.

    - #### RtmpDataSourceFactory

          public RtmpDataSourceFactory​(@Nullable
                                       TransferListener listener)

      Deprecated.
      Parameters:
        `listener` - An optional listener.

  - ### Method Detail

    - #### createDataSource

          public RtmpDataSource createDataSource()

      Deprecated.
      Description copied from interface: `DataSource.Factory`
      Creates a `DataSource` instance.
      Specified by:
        `createDataSource` in interface `DataSource.Factory`